Skip to main content

Creates a new agent or updates an existing agent

POST /v1/agent

Summary

Creates a new agent or updates an existing agent.

Details

This endpoint either creates a new agent or updates an existing one. It should be called at agent startup.

Request body: JSON object. Supports deviceSerial or deviceName.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

Required: Yes

application/json

  • deviceName (string, optional)
  • deviceSerial (string, optional)
  • agentType (string, optional)
  • agentVersion (string, optional)
  • agentIndex (integer (int64), optional)
  • processID (integer (int64), optional)

Example

{
"deviceName": "WearableDevice",
"deviceSerial": "10001234",
"agentType": "Device",
"agentVersion": "1.0.0",
"agentIndex": 1,
"processID": 4321
}

Responses

200

Success

text/plain

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • agentTypeID (integer (int64), optional)
  • agentIndex (integer (int64), optional)
  • currentEventID (integer (int64), optional)
  • processID (integer (int64), optional)
  • version (string, optional)
  • agentName (string, optional)
  • agentDescription (string, optional)
  • recentOutput (string, optional)
  • lastHeardFromDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

application/json

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • agentTypeID (integer (int64), optional)
  • agentIndex (integer (int64), optional)
  • currentEventID (integer (int64), optional)
  • processID (integer (int64), optional)
  • version (string, optional)
  • agentName (string, optional)
  • agentDescription (string, optional)
  • recentOutput (string, optional)
  • lastHeardFromDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"deviceID": 201,
"agentTypeID": 1,
"agentIndex": 1,
"currentEventID": 501,
"processID": 4321,
"version": "1.0.0",
"agentName": "Example value",
"agentDescription": "Example description",
"recentOutput": "Agent started successfully.",
"lastHeardFromDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}

text/json

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • agentTypeID (integer (int64), optional)
  • agentIndex (integer (int64), optional)
  • currentEventID (integer (int64), optional)
  • processID (integer (int64), optional)
  • version (string, optional)
  • agentName (string, optional)
  • agentDescription (string, optional)
  • recentOutput (string, optional)
  • lastHeardFromDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

400

Bad Request

text/plain

  • string

Example

Example value

application/json

  • string

Example

Example value

text/json

  • string

Example

Example value